﻿using System;
using Common.MVVM.Models;
using MvvmBinding.Models.Customers.Interfaces;

namespace MvvmBinding.Models.Customers
{
    public class Customer : BusinessBase<Customer>, ICustomer
    {
        private string _customerName;
        private int _countryId;

        public string CustomerName
        {
            get { return _customerName; }
            set { SetField(ref _customerName, value, nameof(CustomerName)); }
        }

        public int CountryId
        {
            get { return _countryId; }
            set { SetField(ref _countryId, value, nameof(CountryId)); }
        }

        public DateTime CustomerDateJoined { get; set; }


        protected override bool PropertyHasChangedCheckModelIsDirty()
        {
            return true;
        }

    }
}
