﻿using System;
using System.Collections.Generic;
using Common.Unity;
using MvvmBinding.Models.Customers.Interfaces;

namespace MvvmBinding.Helpers
{
    public static class CustomerMockData
    {

        public static IList<ICustomer> GetCustomers()
        {
            var customers = UnityService.ResolveList<ICustomer>();

            var customer1 = UnityService.Resolve<ICustomer>();
            customer1.CustomerName = "Fred Washington";
            customer1.CountryId = 4;
            customer1.CustomerDateJoined = DateTime.Today.AddDays(-30);

            customers.Add(customer1);

            var customer2 = UnityService.Resolve<ICustomer>();
            customer2.CustomerName = "Bruce Sydney";
            customer2.CountryId = 1;
            customer2.CustomerDateJoined = DateTime.Today.AddDays(-10);

            customers.Add(customer2);

            var customer3 = UnityService.Resolve<ICustomer>();
            customer3.CustomerName = "Pierre Montreal";
            customer3.CountryId = 2;
            customer3.CustomerDateJoined = DateTime.Today.AddDays(-12);

            customers.Add(customer3);

            var customer4 = UnityService.Resolve<ICustomer>();
            customer4.CustomerName = "Digby London";
            customer4.CountryId = 3;
            customer4.CustomerDateJoined = DateTime.Today.AddDays(-3);

            customers.Add(customer4);

            return customers;
        }








    }
}
